=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/annotated-types-$1\.tar\.gz/ \
  https://github.com/annotated-types/annotated-types/tags .*/v?(\d\S+)\.tar\.gz
